View Issue Details

IDProjectCategoryView StatusLast Update
0001722SOGoWeb Mailpublic2017-04-20 03:39
Reporterdaniel Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.3.12 
Fixed in Version3.0.2 
Summary0001722: Drag Emails to Calendar,
Description

Is it possible to implent a feature like I use in Outlook--> drag
a email to the calendar-button and create a new task in the calendar with the
content of the mail?
It would be a great step towards substitute outlook.

TagsNo tags attached.

Relationships

related to 0002788 resolvedfrancis Create Event or task from Mail message menu 

Activities

mirage

mirage

2013-02-04 04:41

reporter   ~0005317

Please add this feature !!! ThankĀ“s a lot

krpi

krpi

2013-02-04 04:43

reporter   ~0005318

+1

mmerlone

mmerlone

2013-07-04 07:44

reporter   ~0005738

+1
Where is the "vote" button? :)

aminet

aminet

2013-07-05 06:37

reporter   ~0005741

+1
As this is an important feature for my VIP. they are used to it in Mail.app.

In email body dates like "06 September 2013", "21/08" or "the 24" are detected and while the mouse is over a drop down menu is available and offer to create an event in ical, to display this date in iCal, to copy.
(for Thunderbird there is bug report here: https://bugzilla.mozilla.org/show_bug.cgi?id=403222 with some works here:
https://github.com/merike/event-extract/ )

In the other direction, from an event in iCal they are used to make an email. The contextual menu for an event offer to sent the event by mail.
The mail subject is the event subject and in the mail body there is " <Smith> inform you of the event <subject> scheduled the <date>, at <hour> ...
The mail in attachment have the corresponding ICS file.

Linking an event to an email or a document is also an important feature (Apple iCal use is own internals urls not http ones)

abu

abu

2014-05-23 12:08

reporter   ~0007103

+1

infrasysteme

infrasysteme

2015-06-17 09:14

reporter   ~0008649

+1

Related Changesets

sogo: master 99e5c1b9

2016-02-10 16:15:00

francis

Details Diff
(feature) Convert a message to an event or task

Resolves 0001722
Affected Issues
0001722
mod - NEWS Diff File
mod - SoObjects/Mailer/SOGoMailObject+Draft.m Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/UIxMailActions.m Diff File
mod - UI/MailerUI/product.plist Diff File
mod - UI/Templates/MailerUI/UIxMailMainFrame.wox Diff File
mod - UI/Templates/MailerUI/UIxMailViewTemplate.wox Diff File
mod - UI/WebServerResources/Gruntfile.js Diff File
mod - UI/WebServerResources/js/Common/utils.js Diff File
mod - UI/WebServerResources/js/Mailer/Mailer.app.js Diff File
mod - UI/WebServerResources/js/Mailer/Message.service.js Diff File
mod - UI/WebServerResources/js/Mailer/MessageController.js Diff File
mod - UI/WebServerResources/js/Scheduler/Calendar.service.js Diff File
mod - UI/WebServerResources/js/Scheduler/Component.service.js Diff File

Issue History

Date Modified Username Field Change
2012-03-23 08:29 daniel New Issue
2012-07-23 10:39 ludovic Severity minor => feature
2013-02-04 04:41 mirage Note Added: 0005317
2013-02-04 04:43 krpi Note Added: 0005318
2013-07-04 07:44 mmerlone Note Added: 0005738
2013-07-05 06:37 aminet Note Added: 0005741
2014-05-23 11:51 Christian Mack Relationship added related to 0002788
2014-05-23 12:08 abu Note Added: 0007103
2015-06-17 09:14 infrasysteme Note Added: 0008649
2016-02-10 16:15 francis Changeset attached => sogo master 99e5c1b9
2016-02-10 16:15 francis Assigned To => francis
2016-02-10 16:15 francis Resolution open => fixed
2016-02-10 17:44 francis Status new => assigned
2016-02-10 17:44 francis Fixed in Version => 3.0.2
2016-06-09 13:18 francis Status assigned => resolved